<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>User Index</title>
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}"/>
<link rel="stylesheet" th:href="@{/css/style.css}"/>
</head>
<body>
<div class="container">
		<div class="row">
			<div class="col-12">
			<br>
			<br>
			<div class="row">
				<div class="col-12">
				<a th:href="@{/admin}" class="float-right">Home</a>
			</div>
			</div>
				<h1>Users</h1>
				<table class="table table-stripped">
					<thead>
						<tr>
							<th>User Name</th>
							<th>Date Joined</th>
							<th>View Transactions</th>
						</tr>
					</thead>
					<tbody>
						<tr th:each = "user : ${users}">
							<td th:text="${user.userName}"></td>
							<td th:text="${user.dateJoined}"></td>
							<td><a th:href="@{/admin/view-transactions/{id}(id = ${user.uid})}" class="btn btn-primary">View</a></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>


	<script th:src="@{/js/jquery.min.js}"></script>
	<script th:src="@{/js/custom.js}"></script>
	<script src="https://npmcdn.com/tether@1.2.4/dist/js/tether.min.js"></script>
	<script th:src="@{/js/bootstrap.min.js}"></script>


</body>
</html>